Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.gui.visualize.plugins
Interface ErrorVisualizePlugin

    public interface ErrorVisualizePlugin

Interface implemented by classes loaded dynamically to visualize classifier errors in the explorer.

Version:
  $Revision: 5012 $
Author:
  FracPete (fracpete at waikato dot ac dot nz)

Method Summary
`java.lang.String` | `getDesignVersion()` Get the specific version of Weka the class is designed for.
`java.lang.String` | `getMaxVersion()` Get the maximum version of Weka, exclusive, the class is designed to work with.
`java.lang.String` | `getMinVersion()` Get the minimum version of Weka, inclusive, the class is designed to work with.
`javax.swing.JMenuItem` | `getVisualizeMenuItem(Instances predInst)` Get a JMenu or JMenuItem which contain action listeners that perform the visualization of the classifier errors.

Method Detail

### getVisualizeMenuItem

    javax.swing.JMenuItem getVisualizeMenuItem(Instances predInst)

  Get a JMenu or JMenuItem which contain action listeners that perform the visualization of the classifier errors.

  The actual class is the attribute declared as class attribute, the predicted class values is found in the attribute prior to the class attribute's position. In other words, if the `classIndex()` method returns 10, then the attribute position for the predicted class values is 9.

  Exceptions thrown because of changes in Weka since compilation need to be caught by the implementer.

  Parameters:
    `predInst` - the instances with the actual and predicted class values
  Returns:
    menuitem for opening visualization(s), or null to indicate no visualization is applicable for the input
  See Also:
    `NoClassDefFoundError`, `IncompatibleClassChangeError`

### getMinVersion

    java.lang.String getMinVersion()

  Get the minimum version of Weka, inclusive, the class is designed to work with. eg: `3.5.0`

  Returns:
    the minimum version

### getMaxVersion

    java.lang.String getMaxVersion()

  Get the maximum version of Weka, exclusive, the class is designed to work with. eg: `3.6.0`

  Returns:
    the maximum version

### getDesignVersion

    java.lang.String getDesignVersion()

  Get the specific version of Weka the class is designed for. eg: `3.5.1`

  Returns:
    the version the plugin was designed for

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD